// See symbols.h for docs

#define BETA_LAYER_MAGIC_MACRO BETA_LAYER(MAIN)

#ifdef BETA_LAYER_LAYOUTS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_EN
    BETA_LAYER_MAGIC_MACRO
#endif

#ifdef BETA_LAYER_KEYS
    #define BETA_LAYER_CONTEXT_DATA LAYOUT_ergodox(\
        KC_ESCAPE,              KC_1,       KC_2,       KC_3,           KC_4,       KC_5,           OSL(LAYER_DESKTOP),\
        KC_TAB,                 KC_Q,       KC_W,       KC_E,           KC_R,       KC_T,           KC_LGUI,\
        KC_DELETE,              KC_A,       KC_S,       KC_D,           KC_F,       KC_G,\
        KC_LCTRL,               KC_Z,       KC_X,       KC_C,           KC_V,       KC_B,           TO(LAYER_NUMPAD),\
        OSL(LAYER_DESKTOP),     KC_NO,      KC_LALT,    KC_LSHIFT,      MO(LAYER_ARROWS),\
    \
                    KC_PSCREEN, KC_NO,\
                                TD(TD_WMLAYOUT),\
        KC_SPACE,   KC_BSPACE,  LCTL(KC_BSPACE),\
    \
    \
        KC_NO,      KC_6,       KC_7,       KC_8,               KC_9,                   KC_0,                   LGUI(KC_TAB),\
        KC_NO,      KC_Y,       KC_U,       KC_I,               KC_O,                   KC_NO,                  KC_LEAD,\
                    KC_H,       KC_J,       KC_K,               MO(LAYER_SYMBOLS),      KC_L,                   KC_NO,\
        KC_NO,      KC_N,       KC_M,       KC_P,               KC_DOT,                 KC_COMMA,               TT(LAYER_FKEYS),\
                                KC_RIGHT,   KC_NO,              TO(LAYER_KEYBOARD),     TO(LAYER_RUSSIAN),      LGUI(KC_SPACE),\
    \
        KC_LNG1,  KC_LNG2,\
        KC_LNG3,\
        KC_NO, KC_RSHIFT, KC_ENTER\
    )

    BETA_LAYER_MAGIC_MACRO
#endif


#undef BETA_LAYER_CONTEXT_DATA
#undef BETA_LAYER_MAGIC_MACRO